%define anolis_release 1

%global srcname tinycss2


Name:           python-%{srcname}
Version:        1.2.1
Release:        %{anolis_release}%{?dist}
Summary:        Low-level CSS parser for Python

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}/
Source0:        %pypi_source

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
# used as "build-backend" in pyproject.toml but not detected by Fedora's
# macros to generate build requirements
BuildRequires:  python3-flit


%description
tinycss2 is a modern, low-level CSS parser for Python. tinycss2 is a rewrite of
tinycss with a simpler API, based on the more recent CSS Syntax Level 3
specification.


%package     -n python3-%{srcname}
Summary:        Low-level CSS parser for Python 3
Requires:       python3-webencodings >= 0.4
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
tinycss2 is a modern, low-level CSS parser for Python. tinycss2 is a rewrite of
tinycss with a simpler API, based on the more recent CSS Syntax Level 3
specification.


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r -x test


%build
%pyproject_wheel


%install
%pyproject_install


%check
%{pytest}
# remove files which are only required for unit tests (including test.pyc/.pyo)
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/css-parsing-tests
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/test.py
rm -rf %{buildroot}%{python3_sitelib}/%{srcname}/__pycache__/test.*.py?


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}.dist-info/


%changelog
* Mon May 15 2023 Funda Wang <fundawang@yeah.net> - 1.2.1-1
- Import package for anolis 23
